<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<meta http-equiv="content-type" content="text/html; charset=windows-1251" />
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>настройки</title>
</head>
<link rel="stylesheet" href="styleN.css" type="text/css" />
<div class="heads">
<b>«настройки»</b>
</div>
<div class="menu">
<?

$kigr=$_GET['kigr'];
$kmon=$_GET['kmon'];
$klog=$_GET['klog'];
$db->openDB();
echo"
[<a href=\"game.php?NICK=$NICK&pass=$pass\">в игру</a>]|[<a href=\"pers.php?NICK=$NICK&pass=$pass\">назад</a>]
<br/>
<form action=\"game.php\" method=\"GET\">
<input name=\"NICK\" value=\"$NICK\" type=\"hidden\">
<input name=\"menu\" value=\"$menu\" type=\"hidden\">
кол-во игроков на странице(0-100)<br/>
<input name=\"kigr\" maxlength=\"3\" size=\"3\">
<br/>
кол-во монстров на странице(0-100)<br/>
<input name=\"kmon\" maxlength=\"3\" size=\"3\">
<br/>
кол-во логов на странице(0-100)<br/>
<input name=\"klog\" maxlength=\"3\" size=\"3\">
<br/>
<input type=\"submit\" value=\"сохранить\">
</form>
";if(isset($kigr) OR isset($kmon) OR isset($klog)){
 if (!preg_match('|^[0-9]+$|i', $kigr) AND !empty($kigr)) {
        echo "<div class=\"head\">Ошибка:недопустимые символы в кол-ве</div>";
        die;
    }
if (!preg_match('|^[0-9]+$|i', $kmon) AND !empty($kmon)) {
        echo "<div class=\"head\">Ошибка:недопустимые символы в кол-ве</div>";
        die;
    }
if (!preg_match('|^[0-9]+$|i', $klog) AND !empty($klog)) {
        echo "<div class=\"head\">Ошибка:недопустимые символы в кол-ве</div>";
        die;
    }
$kigr = trim($kigr);
$kmon = trim($kmon);
$klog = trim($klog);
$kigr=strtolower($kigr);
$kmon=strtolower($kmon);
$klog=strtolower($klog);
$kigr=addslashes($kigr);
$kmon=addslashes($kmon);
$klog=addslashes($klog);
$kigr = substr($kigr, 0, 3);
$kmon = substr($kmon, 0, 3);
$klog = substr($klog, 0, 3);
if(empty($kigr) AND empty($kmon) AND empty($klog)){echo"<div class=\"head\">не заполнено не одно поле</div>";die;}
if($kigr<0 OR $kigr>100){echo"<div class=\"head\">Ошибка:введеное кол-во больше 100 или меньше 0!</div>";die;}
if($kmon<0 OR $kmon>100){echo"<div class=\"head\">Ошибка:введеное кол-во больше 100 или меньше 0!</div>";die;}
if($klog<0 OR $klog>100){echo"<div class=\"head\">Ошибка:введеное кол-во больше 100 или меньше 0!</div>";die;}
if($kigr AND isset($kigr) AND !empty($kigr)){$kigrU=mysql_query("UPDATE nasUSERS SET userM=\"$kigr\" WHERE NICK_US=\"$NICK\"");}
if($kmon AND isset($kmon) AND !empty($kmon)){$kmonU=mysql_query("UPDATE nasUSERS SET mobM=\"$kmon\" WHERE NICK_US=\"$NICK\"");}
if($klog AND isset($klog) AND !empty($klog)){$klogU=mysql_query("UPDATE nasUSERS SET logM=\"$klog\" WHERE NICK_US=\"$NICK\"");}
echo"<div class=\"head\">настройки сохранены!</div>";
//print('<script>location.href="pers.php?NICK='."$NICK".'";</script>');
die;}
?>
</div><div class="f_bg">
</body>
</html>
